# ChangeLog for media-gfx/xv
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-gfx/xv/ChangeLog,v 1.79 2006/08/11 19:34:49 mr_bones_ Exp $

  11 Aug 2006; Michael Sterrett <mr_bones_@gentoo.org>
  -files/xv-3.10a-r11-xv-osx.patch, -xv-3.10a-r8.ebuild,
  -xv-3.10a-r9.ebuild, -xv-3.10a-r10.ebuild, -xv-3.10a-r11.ebuild:
  clean out old versions

  23 May 2006; Fabian Groffen <grobian@gentoo.org> xv-3.10a-r12.ebuild:
  Marked ppc-macos stable

  28 Jan 2006; Simon Stelling <blubb@gentoo.org>
  +files/xv-3.10a-bmpfix.patch, -files/xv-3.10a-bmpfix.patch.bz2,
  -files/xv-3.10a-yaos.dif.bz2, +files/xv-3.10a-yaos.diff,
  xv-3.10a-r11.ebuild:
  no need to bzip smallish patches

  13 Dec 2005; Donnie Berkholz <spyderous@gentoo.org>; xv-3.10a-r12.ebuild:
  Add modular X dependencies.

  09 Dec 2005; Tom Gall <tgall@gentoo.org> xv-3.10a-r12.ebuild:
  stable on ppc64

  11 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> xv-3.10a-r12.ebuild:
  Stable on hppa, ppc.

  01 Nov 2005; Fabian Groffen <grobian@gentoo.org>
  +files/xv-3.10a-r12-xv-osx.patch, xv-3.10a-r12.ebuild:
  Fixed compilation issues and marked ~ppc-macos (bug #110942)

  18 Oct 2005; Aron Griffis <agriffis@gentoo.org> xv-3.10a-r12.ebuild:
  Mark 3.10a-r12 stable on alpha

  13 Oct 2005; Aron Griffis <agriffis@gentoo.org> xv-3.10a-r12.ebuild:
  Mark 3.10a-r12 stable on ia64

  12 Oct 2005; Tavis Ormandy <taviso@gentoo.org>
  +files/jumbo-patch-nojpeg.diff, xv-3.10a-r12.ebuild:
  fix installation without jpeg support, many thanks to Tim Ramsey.
  (bug #109012)

  11 Oct 2005; Hardave Riar <hardave@gentoo.org> xv-3.10a-r12.ebuild:
  Stable on mips.

  10 Oct 2005; <dang@gentoo.org> xv-3.10a-r12.ebuild:
  Marked stable on amd64

  07 Oct 2005; Gustavo Zacarias <gustavoz@gentoo.org> xv-3.10a-r12.ebuild:
  Stable on sparc

  07 Oct 2005; Tavis Ormandy <taviso@gentoo.org> xv-3.10a-r12.ebuild:
  stable on x86, dont install INSTALL

  12 Jul 2005; Stephen P. Becker <geoman@gentoo.org> xv-3.10a-r11.ebuild,
  xv-3.10a-r12.ebuild:
  -r11 mips, -r12 ~mips

  31 May 2005; Rene Nussbaumer <killerfox@gentoo.org> xv-3.10a-r11.ebuild:
  Stable on hppa. bug #88742

  27 May 2005; Lina Pezzella <j4rg0n@gentoo.org>
  +files/xv-3.10a-r11-xv-osx.patch, xv-3.10a-r11.ebuild:
  Fix for Bug 88742.

  27 May 2005; Lina Pezzella <j4rg0n@gentoo.org> xv-3.10a-r10.ebuild:
  Fixed Bug with -ffast-math flag on OSX

  16 May 2005; Rene Nussbaumer <killerfox@gentoo.org> xv-3.10a-r10.ebuild:
  Stable on hppa; bug #83686

  16 May 2005; Rene Nussbaumer <killerfox@gentoo.org> xv-3.10a-r12.ebuild:
  Added ~hppa

*xv-3.10a-r12 (05 May 2005)

  05 May 2005; Tavis Ormandy <taviso@gentoo.org> +xv-3.10a-r12.ebuild:
  new release of patchset.

  19 Apr 2005; Bryan Østergaard <kloeri@gentoo.org> xv-3.10a-r11.ebuild:
  Stable on ia64, bug 88742.

  18 Apr 2005; Bryan Østergaard <kloeri@gentoo.org> xv-3.10a-r11.ebuild:
  Stable on alpha, bug 88742.

  16 Apr 2005; Markus Rothe <corsair@gentoo.org> xv-3.10a-r11.ebuild:
  Stable on ppc64; bug #88742

  15 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> xv-3.10a-r11.ebuild:
  Stable on ppc.

  15 Apr 2005; Gustavo Zacarias <gustavoz@gentoo.org> xv-3.10a-r11.ebuild:
  Keyworded sparc wrt #88742

  15 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> xv-3.10a-r11.ebuild:
  stable on amd64 wrt security bug #88742

*xv-3.10a-r11 (15 Apr 2005)

  15 Apr 2005; Tavis Ormandy <taviso@gentoo.org>
  +files/xv-3.10a-bmpfix.patch.bz2, +files/xv-3.10a-yaos.dif.bz2,
  +xv-3.10a-r11.ebuild:
  switching to the jumbo patch format, includes security fixes.

  13 Mar 2005; Hardave Riar <hardave@gentoo.org> xv-3.10a-r10.ebuild:
  Stable on mips, bug #83686.

  03 Mar 2005; Bryan Østergaard <kloeri@gentoo.org> xv-3.10a-r10.ebuild:
  Stable on alpha, bug 83686.

  02 Mar 2005; Michael Hanselmann <hansmi@gentoo.org> xv-3.10a-r10.ebuild:
  Stable on ppc.

  02 Mar 2005; Markus Rothe <corsair@gentoo.org> xv-3.10a-r10.ebuild:
  Stable on ppc64; bug #83686

  02 Mar 2005; Ferris McCormick <fmccor@gentoo.org> xv-3.10a-r10.ebuild:
  Stable for sparc, closing filename issue Bug 83686.

  02 Mar 2005; Lina Pezzella <j4rg0n@gentoo.org> xv-3.10a-r10.ebuild:
  Stable ppc-macos

  02 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> xv-3.10a-r10.ebuild:
  stable on amd64. see #83686

*xv-3.10a-r10 (01 Mar 2005)

  01 Mar 2005; Tavis Ormandy <taviso@gentoo.org>
  +files/xv-filename-format-string.diff, +xv-3.10a-r10.ebuild:
  patch for #83686

  26 Feb 2005; Lina Pezzella <j4rg0n@gentoo.org> xv-3.10a-r8.ebuild:
  Stable ppc-macos

  20 Jan 2005; Lina Pezzella <j4rg0n@gentoo.org> xv-3.10a-r9.ebuild:
  Unstable ppc-macos. Thanks to Trixtrax@comcast.net for the patchset.

*xv-3.10a-r9 (04 Jan 2005)

  04 Jan 2005; Tavis Ormandy <taviso@gentoo.org> +files/xv-optimize-jpeg.diff,
  +files/xv-postscript-double-free.diff, +files/xv-smoothing-algorithm.diff,
  +xv-3.10a-r9.ebuild:
  everyone can use getcwd() instead of getwd().
  apply patches from dave coffin, http://www.cybercom.net/~dcoffin/dcraw/.

  16 Dec 2004; Markus Rothe <corsair@gentoo.org> xv-3.10a-r8.ebuild:
  Stable on ppc64

  24 Nov 2004; Chris Gianelloni <wolf31o2@gentoo.org> xv-3.10a-r8.ebuild:
  Stable on amd64.  Blame Mr_Bones_.

*xv-3.10a-r8 (03 Nov 2004)

  03 Nov 2004; Markus Rothe <corsair@gentoo.org> xv-3.10a-r8.ebuild:
  Marked ~ppc64; bug #69847

  13 Oct 2004; <solar@gentoo.org> -xv-3.10a-r7.ebuild:
  security bump. -r7 -> -r8 no changes except for depending on a newer version
  of libtiff

  07 Sep 2004; <blubb@gentoo.org> xv-3.10a-r7.ebuild:
  added ~amd64 keyword

  05 Sep 2004; Malcolm Lashley <malc@gentoo.org> xv-3.10a-r7.ebuild:
  amd64 needs a stable version after the security fix - #62742

*xv-3.10a-r7 (02 Sep 2004)

  02 Sep 2004; Tavis Ormandy <taviso@gentoo.org> +metadata.xml,
  -xv-3.10a-r3.ebuild, -xv-3.10a-r5.ebuild, -xv-3.10a-r6.ebuild,
  +xv-3.10a-r7.ebuild:
  fix security issues reported in #61619.
  vulnerable versions removed.
  meatadata.xml added with me named as new maintainer.

  06 Aug 2004; Gustavo Zacarias <gustavoz@gentoo.org> xv-3.10a-r6.ebuild:
  Stable on sparc

  31 Jul 2004; Mamoru KOMACHI <usata@gentoo.org>
  -files/xv-3.10a-enhanced-Nu.patch, -files/xv-3.10a-gentoo-Nu.patch,
  xv-3.10a-r5.ebuild, xv-3.10a-r6.ebuild:
  Stable on x86 and ppc. Compressed large patches in files directory
  and put them on Gentoo mirrors.

  20 Jul 2004; Tom Gall <tgall@gentoo.org> xv-3.10a-r6.ebuild:
  stable on ppc64, bug #57151

  07 Jun 2004; Aron Griffis <agriffis@gentoo.org> xv-3.10a-r3.ebuild,
  xv-3.10a-r5.ebuild, xv-3.10a-r6.ebuild:
  Fix use invocation, fix sed expressions, add error checking

  17 Apr 2004; Travis Tilley <lv@gentoo.org> +files/xv-use-getcwd.patch,
  xv-3.10a-r6.ebuild:
  fix for segfaults on amd64

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> xv-3.10a-r6.ebuild:
  stable on alpha and ia64

  02 Feb 2004; Michael Sterrett <mr_bones_@gentoo.org> xv-3.10a-r3.ebuild,
  xv-3.10a-r5.ebuild, xv-3.10a-r6.ebuild:
  fix license for bug 17976

  19 Dec 2003; Guy Martin <gmsoft@gentoo.org> xv-3.10a-r6.ebuild:
  Marked stable on hppa.

  13 Nov 2003; <tuxus@gentoo.org> xv-3.10a-r6.ebuild:
  added mips to KEYWORDS

  06 Nov 2003; Mamoru KOMACHI <usata@gentoo.org> xv-3.10a-r3.ebuild,
  xv-3.10a-r5.ebuild, xv-3.10a-r6.ebuild:
  Changed to LIBDIR=/dev/null. xvdocs.ps was installed to /usr/lib
  (not a directory, but a file called /usr/lib !) due to absence of
  /usr/lib (we should dodir before calling make, if it is really
  necessary in the ebuild), but anyhow we dodoc xvdocs.ps in
  src_install so we don't need it.

*xv-3.10a-r6 (28 Oct 2003)

  28 Oct 2003; Martin Holzer <mholzer@gentoo.org> xv-3.10a-r6.ebuild:
  Closing #29253.

  26 Oct 2003; Sven Blumenstein <bazik@gentoo.org> xv-3.10a-r5.ebuild:
  Bumped to stable on sparc, removed RESTRICT (bug #29276)

  28 Sep 2003; Markus Nigbur <pyrania@gentoo.org> xv-3.10a-r3.ebuild,
  xv-3.10a-r5.ebuild:
  Added ~amd64 keyword. request by brad@mainstreetsoftworks.com in bug #29806.

*xv-3.10a-r5 (07 Aug 2003)

  04 Sep 2003; Mamoru KOMACHI <usata@gentoo.org> xv-3.10a-r2.ebuild,
  xv-3.10a-r3.ebuild, xv-3.10a-r4.ebuild, xv-3.10a-r5.ebuild:
  Deleted trailing white-spaces.  Removed unused IUSE flags from -r5.
  Merged ccc support from -r3 to -r5 and removed broken -r4.

  14 Aug 2003; Mamoru KOMACHI <usata@gentoo.org> xv-3.10a-r5.ebuild,
  files/xv-3.10a-r5-ppc.patch:
  Corrected ppc patch.  Thanks to Christophe Boyanique
  <gentoo@raceme.org>.  Closing bug #26192

  07 Aug 2003; Mamoru KOMACHI <usata@gentoo.org> xv-3.10a-r5.ebuild,
  files/xv-3.10a-r5-gentoo-Nu.patch:
  Fixed install destination directories.  Thanks to Brandon Anderson
  <branders@ccsoft.com> for bug report #25678.

*xv-3.10a-r4 (31 Jul 2003)

  02 Aug 2003; Ryan Phillips <rphillips@gentoo.org> xv-3.10a-r4.ebuild :
  included Martin Ehmsen's patch to the ebuild added jpg, png and tiff support

  31 Jul 2003; Ryan Phillips <rphillips@gentoo.org> xv-3.10a-r4.ebuild :
  Added Dean Baender's contribution of changes #20092.  Patch to read photoCDs,
  and the xv author's own patches.

*xv-3.10a-r3 (03 Nov 2002)

  16 Jun 2003; Michael Nazaroff <naz@gentoo.org> :
  Marked x86 as stable.

  27 May 2003; Tavis Ormandy <taviso@gentoo.org> xv-3.10a-r3.ebuild:
  ccc support

  25 Mar 2003; Aron Griffis <agriffis@gentoo.org> xv-3.10a-r3.ebuild:
  Add ~alpha to KEYWORDS

  03 Nov 2002; Ryan Phillips <rphillips@gentoo.org> xv-3.10a-r3.ebuild :

  Added Bret Towes sed statements to produce an optimized build. Fixes #6756

*xv-3.10a-r2 (05 Jun 2002)

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  13 Oct 2002; Olivier Reisch <doctomoe@gentoo.org> xv-3.10a-r2.ebuild:
  Fixed the ebuild to apply patches correctly if we both have use ppc and use png

  02 Sep 2002; Jack Morgan <jmorgan@gentoo.org> xv-3.10a-r2.ebuild
  Added sparc/sparc64 keywords :

  05 Jun 2002; Olivier Reisch <doctomoe@gentoo.org> xv-3.10a-r2.ebuild
  files/digest-xv-3.10a-r2 :

  Added a patch to the current ebuild that makes the sources build and link
  fine on PPC. The patch is only applied on PPC, so there should be no
  changes in code on other platforms. Fixes BUG #3370.

*xv-3.10a-r2 (29 Apr 2002)

  29 Apr 2002; Seemant Kulleen <seemant@gentoo.org> xv-3.10a-r2.ebuild
  files/digest-xv-3.10a-r2 :

  NAZ (from #gentoo) enhanced the patch so that app-shells/tcsh does not have
  to be a compile-time dependency.

*xv-3.10a-r1 (29 Apr 2002)

  29 Apr 2002; Seemant Kulleen <seemant@gentoo.org> xv-3.10a-r1.ebuild
  files/digest-xv-3.10a-r1 files/xv-naz-gentoo.patch :

  This patch, submitted by NAZ (from #gentoo) now brings in png, jpeg and tiff
  support.  The only issue is that, if you want support for one of those, you
  get to have support for all of them.  While unfortunate, this unavoidable, due
  to the manner in which xv's Makefiles are laid out.  To think, there actually
  is a configure script.  And also, it's been more than half a decade since
  this package came out -- you'd think the author would issue an upgrade.
  </rant>


  25 Apr 2002; Thilo Bangert <bangert@gentoo.org> :
  
  switched to || die - added description

*xv-3.10a (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
